---
layout: docs
page_title: workers delete - Command
description: >-
  The "workers delete" command deletes existing worker resources.
---

# workers delete

Command: `boundary workers delete`

The `boundary workers delete` command lets you delete a Boundary worker by its given ID.

## Example

This example deletes a worker with the ID `w_1234567890`:

```shell-session
$ boundary workers delete -id w_1234567890
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary workers delete [options] [args]
```

</CodeBlockConfig>

### Command options

- `id=<string>` - The ID of the worker you want to delete.

@include 'cmd-option-note.mdx'